<!doctype html>
<html>
    @@include('./template/_head.html')
    <body>
        <form id="form1" runat="server">
        @@include('./template/_header.html')
        
        <div class="innerWrap">
            <h2 class="pageGrayTitle">購物說明</h2>

            <div class="orderdata">
                <h6 class="data_title mij-icon">購物資訊</h6>
                   
                <p class="static_title">付款方式</p>

                <!-- 付款方式 國內訂單 -->
                <p class="static_subTitle">[國內訂單]</p>
                <div class="accordion">
                    <a href="#">線上刷卡</a>
                    <div>
                        <p>使用線上刷卡付款，僅限使用宅配方式配送，且需結帳時完成線上刷卡程序，如未刷卡成功就離開頁面，系統會自動取消訂單，需重新訂購。</p>
                    </div>

                    <a href="#">7-11取貨付款</a>
                    <div>
                        <p>最高金額限制20000元，當商品送達您指定之7-11門市時，將會發送簡訊通知到貨，至門市取貨時直接付款即可。</p>
                    </div>

                    <a href="#">貨到付款（現金）</a>
                    <div>
                        <p>宅急便人員將貨物送達時，直接支付現金給宅急便人員即可。</p>
                    </div>

                    <a href="#">貨到付款（信用卡）</a>
                    <div>
                        <p>宅急便人員將貨物送達時，宅配人員會攜帶刷卡機直接現場刷卡即可。</p>    
                    </div>

                    <a href="#">Mijily帳戶購物金</a>
                    <div>
                        <p>使用帳戶購物金作折抵，如金額不足差額可使用其他付款方式。</p>
                    </div>
                </div><!-- end accordion -->
                <!-- end 付款方式 國內訂單 -->


                <!-- 付款方式 海外訂單 -->
                <p class="static_subTitle">[國內訂單]</p>
                <ul class="static_list">
                    <li>信用卡 （目前接受卡別VISA、MasterCard、JCB）</li>
                    <li>PayPal</li>
                    <li>支付寶 （僅開放大陸、香港、澳門）</li>
                    <li>財付通 （僅開放大陸、香港、澳門）</li>
                </ul>
                <!-- end 付款方式 海外訂單 -->


                <p class="static_title">配送方式</p>

                <!-- 配送方式 國內訂單 -->
                <p class="static_subTitle">[國內訂單]</p>
                <div class="accordion">
                    <a href="#">宅配</a>
                    <div>
                        <p>提供黑貓宅急便配送</p>
                    </div>
                    <a href="#">7-11門市取貨</a>
                    <div>
                        <p>＊超商取貨付款約需2-3個工作天到貨</p>
                    </div>
                </div><!-- end accordion -->
                <!-- end 配送方式 國內訂單 -->


                <!-- 配送方式 海外訂單 -->
                <p class="static_subTitle">[海外訂單]</p>
                <div class="accordion">
                    <a href="#">順豐速遞</a>
                    <div>
                        <p>配送至台灣以外的地區一律使用速遞配送</p>
                    </div>
                </div><!-- end accordion -->
                <!-- end 配送方式 海外訂單 -->

            </div>

        </div>

        
        <div class="pageCover"></div>

        <script>
            $(function() {
               
                function Accordion(el, head, cnt) {
                    var self = this;
                    self.parent = $(el);
                    self.head = $(el + ' > ' + head);
                    self.content = self.head.next(cnt);
                    self.animating = false;
                    self.init = function() {
                        self.content.each(function() {
                            var originHeight = $(this).height();
                            $(this).data('cntheight', originHeight);
                            $(this).css({height: 0, opacity: 1});
                        });
                        self.bindEvent();
                    };

                    self.bindEvent = function() {
                        self.head.on('click', function(e) {
                            e.preventDefault();
                            if (self.animating) {
                                return;
                            }
                            self.animating = true;
                            if ($(e.target).hasClass('active')) {
                                //start closing
                                $.when( self.closing($(e.target), $(e.target).next(cnt)) ).done(function() {
                                        $(e.target).removeClass('animating').removeClass('active'); //closed
                                        self.animating = false;
                                });
                            } else {
                                //start opening
                                var siblingsHead = $(e.target).siblings(head);
                                var targetHeight = $(e.target).next(cnt).data('cntheight');
                                $.when( self.opening($(e.target), targetHeight), self.siblingsClosing(siblingsHead) ).done(function() {
                                        $(e.target).removeClass('animating').addClass('active');
                                        self.animating = false;
                                });
                            }
                        });

                    };

                    self.closing = function(targetHead, targetCnt) {
                        targetHead.addClass('animating');
                        return targetCnt.removeClass('active').animate({height: 0}, 300, 'linear');
                    };

                    self.opening = function(targetHead, targetHeight) {
                        targetHead.addClass('animating');
                        return targetHead.next(cnt).addClass('active').animate({height: targetHeight}, 300, 'linear');
                    };

                    self.siblingsClosing = function(siblings) {
                        siblings.removeClass('active');
                        return siblings.next(cnt).removeClass('active').animate({height: 0}, 300, 'linear');
                    }
                }

                var infoAcc = new Accordion('.accordion', 'a', 'div');
                infoAcc.init();


            });
        </script>
        
        @@include('./template/_footer.html')
        </form>
    </body>
</html>